API reference · 2 endpoints

Monitoring

Service health and version endpoints.

GET/health

Health check endpoint

Checks the health of the API and database connection

curl -X GET "https://api.illumina.sh/health" \
  -H "Authorization: Bearer $ILLUMINA_API_KEY"
Response · 200
null

400 · 401 · 402 · 403 · 404 · 405 · 409 · 410see error reference

GET/version

Get API version and feature flags

Returns API version information and enabled feature flags. Use this to check which capabilities are available in this deployment.

curl -X GET "https://api.illumina.sh/version" \
  -H "Authorization: Bearer $ILLUMINA_API_KEY"
Response · 200
{
  "api_version": "0.4.0",
  "features": {
    "namespace_config_api": false,
    "file_upload_api": true,
    "mcp": true,
    "observations": false,
    "worker": true
  }
}

400 · 401 · 402 · 403 · 404 · 405 · 409 · 410see error reference

Search docs

Search the documentation